import random
import time 

def generate_list(count, minimum, maximum):
    the_list = [0]*count

    for index in range(len(the_list)):
        the_list[index] = random.randint(minimum, maximum)

    return the_list

def swap(the_list, first_index, second_index):
    temp = the_list[first_index]
    the_list[first_index] = the_list[second_index]
    the_list[second_index] = temp 


def min_sort(the_list):
    result = the_list.copy()

    for index in range(len(result)):
        minimum = result[index]
        minimum_index = index

        for second_index in range(index, len(result)):
            if result[second_index] < minimum:
                minimum_index = second_index
                minimum = result[minimum_index]

        swap(result, index, minimum_index)
    return result

def merge(first_list, second_list):
    first_length = len(first_list)
    second_length = len(second_list)

    length = first_length + second_length
    result = [0]*length

    k = 0

    first = 0
    second = 0

    while k < length:
        if first == first_length:
            result[k] = second_list[second]
            second += 1
        elif second == second_length:
            result[k] = first_list[first]
            first += 1
        elif first_list[first] < second_list[second]:
            result[k] = first_list[first]
            first += 1
        else:
            result[k] = second_list[second]
            second += 1

        k += 1
    
    return result

def merge_sort(the_list):
    merge_list = [0]*len(the_list)

    for index in range(len(the_list)):
        merge_list[index] = [the_list[index]]

    while len(merge_list) > 1:
        temp_merge_list = []
        
        for index in range(0, len(merge_list), 2):
            if index == len(merge_list)-1:
                temp_merge_list.append(merge_list[index])
            else:
                temp_merge_list.append(merge(merge_list[index], merge_list[index+1]))
        merge_list = temp_merge_list

    return merge_list[0]

def checkValidity(the_list):
    # dein code hier

def compare(first_list, second_list):
    # dein code hier